<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Englanninkielinen lokalisaatio
 * 
 * Sisältää englanninkielisen lokalisaation netforum-modulille.
 * 
 * @package   mod-netforum
 * @copyright 2009 Helsingin Yliopisto, Tietojenkäsittelytieteen laitos
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/**
 * TERMEISTÄ
 *   kirjoitus: käyttäjän tuottama teksti
 *   lähde: kirjoitus johon toinen kirjoitus viittaa
 *   viite: viittaus joka ei (vielä) liity kirjoitukseen vain viitelistaan
 *     viitelistaan kootaan viitteitä, jotka käytettäessä poistuvat viitelistasta ja muuttuvat tietyn kirjoituksen lähteiksi
 *   arviointi: tätä muu moodle käyttää ’arvostelun’ sijasta
 *   
 * 
 */

// Yleiset
$string['modulenameplural'] = 'Netforums';
$string['modulename'] = 'Netforum';
$string['general'] = 'General';
$string['netforumname'] = 'Name';
$string['intro'] = 'Netforum introduction';
$string['grade'] = 'Grade';
$string['aggregatetype'] = 'Aggregate type';
$string['aggregatenone'] = 'None';
$string['aggregateavg'] = 'Average';
$string['ratingtime'] = 'Restrict ratings to posts with dates in this range:';
$string['netforum'] = 'Netforum';
$string['tagcloudtabname'] = 'Subject Cloud';
$string['postlisttabname'] = 'Entries';
$string['thirdtabname'] = 'My Citations';
$string['fourthtabname'] = 'My Notes';
$string['fifthtabname'] = 'My Drafts';
$string['sixthtabname'] = 'Statistics';
$string['helptab'] = 'Help';

// sivuboksit
$string['newest'] = 'Newest';
$string['no_messages'] = 'No entries';
$string['most_popular'] = 'Most Read';

// view: list & tagcloud
$string['subject'] = 'Subject';
$string['author'] = 'Author';
$string['release_time'] = 'Release date';
$string['adjacent'] = 'Citations/cited by';
$string['postlist'] = 'Entries';
$string['tagcloud'] = 'Subject Cloud';
$string['write_new'] = 'New entry';
$string['show_all_posts'] = 'Show all entries';
$string['level5hidden'] = 'Show all';
$string['level5visible'] = 'Hide the most orphaned entries';



// statistiikka
$string['studentname'] = 'Name';
$string['numberofposts'] = 'Number of posts';
$string['timesread'] = 'Times read';
$string['numberofchildren'] = 'Cited by';
$string['numberofparents'] = 'Number of citations';
$string['avggrade'] = 'Average grade';
$string['graded'] = 'Graded';


// post
$string['add_to_list'] = 'Add to My Citations';
$string['answer'] = 'Add to My Citations and create new entry';
$string['write_citation'] = 'Add note';
$string['draft'] = 'Save as draft';
$string['thisisdraft'] = 'Draft';
$string['release'] = 'Publish';
$string['stredit'] = 'Edit draft';
$string['strdelete'] = 'Delete draft';
$string['postui'] = 'Entry';
$string['postadded'] = 'The entry was saved successfully';
$string['postedited'] = 'The draft was saved successfully';
$string['postdeleted'] = 'The draft was deleted';
$string['not_found'] = 'No entries found';

$string['message'] = 'Message';
$string['list'] = 'Citations used';
$string['strdelete_from_list'] = 'Remove from My Citations';
$string['deletedfromlist'] = 'Deleted from My Citations';
$string['addedtolist'] = 'Added to My Citations';
$string['strclear'] = 'Empty';
$string['postcleared'] = 'The contents of this entry was emptied successfully';
$string['deleted'] = 'Emptied';
$string['noticecitationsdeleted'] =	'Citations that are used in releasing a post are deleted.';

// note
$string['editnote'] = 'Edit';
$string['deletenotes'] = 'Delete selected notes';
$string['strnotes'] = 'Notes';
$string['note'] = 'Note';
$string['link'] = 'Citation';
$string['write'] = 'Save';
$string['add_note'] = 'Add note';
$string['noteadded'] = 'Note added successfully';
$string['notedeleted'] = 'Note deleted successfully';
$string['noteedited'] = 'Note edited successfully';
$string['edit'] = 'Edit';
$string['delete'] = 'Deleted';
$string['modifyingnotesdenied'] = 'Not allowed to modify note';
$string['notetitle'] = 'Note title';
$string['notemisarrival'] = 'Misarrival to note';
$string['comment'] = 'Note';
$string['couldnotdelete'] = 'Could not delete';
$string['delete_note'] = 'Delete note';
$string['deleted'] = 'Deleted';
$string['edit_note'] = 'Edit';

$string['usersownnote'] = 'My own note';
$string['teacherscomment'] = 'Teacher comment';
$string['writersnote'] = 'Author comment';

// citations
$string['strcitations'] = 'My Citations';
$string['selectall'] = 'Select all';
$string['deselectall'] = 'Deselect all';
$string['deletecitations'] = 'Delete selected citations';

//drafts
$string['deletedrafts'] = 'Delete selected drafts';
$string['text'] = 'Text';

// settings
$string['newestrows'] = 'Number of newest entries to show';
$string['confignewestrows'] =	'How many entries to show in the Newest entries block';
$string['mostreadrows'] = 'Number of Most Read entries to show';
$string['configmostreadrows'] =	'How many entries to show in the Most Read entries block';
$string['dotdir'] = 'Path to Graphviz';
$string['configdotdir'] = 	'Path to the directory that includes the Graphviz tools dot, neato, fdp, circo ja twopi.'.
							' For the Netforum to include all functionality, these tools must be present. If the path is left blank, Netforum will work without graphing functionality.';
$string['shrinkgraphs'] = 'Shrink large graphs';
$string['configshrinkgraphs'] = 'If an entry has many citations and is cited by many other entries, the generated graph may become very large and not display as a whole on screen. By choosing to shrink graphs, large graphs are shrunk to fit on a single page.';
$string['dotfont'] = 'Graphviz font';
$string['configdotfont'] = 	'The Graphviz font. Choiches are dependent on which version of Graphiz is installed.';



// neibourhoodgraph
$string['unknown_imagetype'] = 'Unknown image type';
$string['dotdir_unset'] = 	'The path to Graphviz was not configured';
$string['settings_unset'] = 'The Netforum settings were not configured';
$string['own_post'] = 'Own entry';
$string['unread'] = 'Unread';

$string['parents'] = 'Citations';
$string['children'] = 'Cited by';
$string['parentsandchildren'] = 'Citations/cited by';
$string['neighbourgaphlegend'] =	'Arrows in a graph describe relationships: en entry that has an outgoing arrow has cited the entry that the arrow in question points to.';


// Monista paikoista käytettyjä + virheitä
$string['maximumchars'] = 'Maximum characters';
$string['misconfigured'] = 'Misconfigured';
$string['remembernotevisibility'] =	'Notes added to you own entry as well as teacher notes are visible to everyone';
$string['name'] = 'Name';
$string['noviewcitationspermission'] = 'Insufficient permissions to view citations';
$string['noviewdraftspermission'] = 'Insufficient permissions to view drafts';
$string['noviewnotespermission'] = 'Insufficient permissions to view notes';
$string['noupdatenotespermission'] = 'Insufficient permissions to edit notes';
$string['nowritepostpermission'] = 'Insufficient permissions to write an entry';

$string['logicerror'] = 'Logic error';
$string['unknowntab'] = 'Unknown tab';

$string['cmid_incorrect'] = 'The course module ID is incorrect';
$string['course_misconfigured'] = 'The course is misconfigured';
$string['cm_incorrect'] = 'The course module is incorrect';
$string['no_cmid'] = 'No course module ID given';
$string['cid_incorrect'] = 'The course ID is incorrect';
$string['no_toplevel'] = 'Could not find a top-level course';
$string['no_instances'] = 'The course has no instances of Netforum';

// Arvioinnit
$string['rate'] = 'Grade';
$string['notrated'] = 'Not rated';
$string['ratings'] = 'Rating';
$string['ratingssaved'] = 'Ratings saved';
$string['required'] = 'Required';
$string['sendinratings'] = 'Send in ratings';



// hashcababilities
$string['netforum:canrate'] = 'Rate';
$string['netforum:canviewrate'] = 'View ratings';
$string['netforum:clearpost'] = 'Clear posts';
$string['netforum:managecitations'] = 'Manage citations';
$string['netforum:managedrafts'] = 'Manage drafts';
$string['netforum:managenotes'] = 'Manage notes';
$string['netforum:viewstatistic'] = 'View statistics';
$string['netforum:writepost'] = 'Write an entry';
$string['netforum:writeteachercomments'] = 'Write a teacher note';
$string['netforum:writecomments'] = 'Write a note';

?>