<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Suomenkielinen lokalisaatio
 * 
 * Sisältää suomenkielisen lokalisaation netforum-modulille.
 * 
 * @package   mod-netforum
 * @copyright 2009 Helsingin Yliopisto, Tietojenkäsittelytieteen laitos
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/**
 * TERMEISTÄ
 *   kirjoitus: käyttäjän tuottama teksti
 *   lähde: kirjoitus johon toinen kirjoitus viittaa
 *   viite: viittaus joka ei (vielä) liity kirjoitukseen vain viitelistaan
 *     viitelistaan kootaan viitteitä, jotka käytettäessä poistuvat viitelistasta ja muuttuvat tietyn kirjoituksen lähteiksi
 *   arviointi: tätä muu moodle käyttää ’arvostelun’ sijasta
 *   
 * 
 */

// Yleiset
$string['modulenameplural'] = 'Netforumit';
$string['modulename'] = 'Netforum';
$string['general'] = 'Yleisasetukset';
$string['netforumname'] = 'Netforumin nimi';
$string['intro'] = 'Johdanto';
$string['grade'] = 'Arviointi';
$string['aggregatetype'] = 'Arviointien laskutapa';
$string['aggregatenone'] = 'Ei mitään';
$string['aggregateavg'] = 'Keskiarvo';
$string['ratingtime'] = 'Arviointiaika';
$string['netforum'] = 'Netforum';
$string['tagcloudtabname'] = 'Otsikkopilvi';
$string['postlisttabname'] = 'Kirjoitukset';
$string['thirdtabname'] = 'Kerätyt viitteet';
$string['fourthtabname'] = 'Muistiinpanot';
$string['fifthtabname'] = 'Luonnokset';
$string['sixthtabname'] = 'Tilastot';
$string['helptab'] = 'Ohje';

// sivuboksit
$string['newest'] = 'Uusimmat kirjoitukset';
$string['no_messages'] = 'Ei kirjoituksia';
$string['most_popular'] = 'Luetuimmat kirjoitukset';

// view: list & tagcloud
$string['subject'] = 'Otsikko';
$string['author'] = 'Kirjoittaja';
$string['release_time'] = 'Julkaisuaika';
$string['adjacent'] = 'Lähteet ja viitanneet';
$string['postlist'] = 'Kirjoitukset';
$string['tagcloud'] = 'Otsikkopilvi';
$string['write_new'] = 'Uusi kirjoitus';
$string['show_all_posts'] = 'Näytä kaikkien kirjoittajien kirjoitukset';
$string['level5hidden'] = 'Näytä kaikki kirjoitukset';
$string['level5visible'] = 'Piilota vähiten verkottuneet kirjoitukset';



// statistiikka
$string['studentname'] = 'Nimi';
$string['numberofposts'] = 'Kirjoituksia';
$string['timesread'] = 'Luettu yhteensä';
$string['numberofchildren'] = 'Viitattu yhteensä';
$string['numberofparents'] = 'Lähteitä yhteensä';
$string['avggrade'] = 'Keskiarvosana';
$string['graded'] = 'Arvioituja';


// post
$string['add_to_list'] = 'Poimi viitelistaan';
$string['answer'] = 'Poimi viitelistaan ja luo uusi kirjoitus';
$string['write_citation'] = 'Kirjoita muistiinpano';
$string['draft'] = 'Tallenna luonnos';
$string['thisisdraft'] = 'Luonnos';
$string['release'] = 'Julkaise kirjoitus';
$string['stredit'] = 'Muokkaa luonnosta';
$string['strdelete'] = 'Poista luonnos';
$string['postui'] = 'Kirjoitus';
$string['postadded'] = 'Kirjoitus tallennettiin onnistuneesti';
$string['postedited'] = 'Luonnos tallennettiin onnistuneesti';
$string['postdeleted'] = 'Luonnoksen poistettu';
$string['not_found'] = 'Kirjoitusta ei löytynyt';

$string['message'] = 'Sisältö';
$string['list'] = 'Käytetyt lähteet';
$string['strdelete_from_list'] = 'Poista viitelistasta';
$string['deletedfromlist'] = 'Poisto viitelistasta onnistui';
$string['addedtolist'] = 'Poiminta viitelistaan onnistui';
$string['strclear'] = 'Tyhjennä kirjoituksen sisältö';
$string['postcleared'] = 'Kirjoituksen sisältö tyhjennetty';
$string['deleted'] = 'Tyhjennetty';
$string['noticecitationsdeleted'] =	'Lähteet, joita on käytetty julkaisuvaiheessa, poistetaan.';

// note
$string['editnote'] = 'muokkaa';
$string['deletenotes'] = 'Poista valitut muistiinpanot';
$string['strnotes'] = 'Muistiinpanot';
$string['note'] = 'Muistiinpano';
$string['link'] = 'Lähde';
$string['write'] = 'Tallenna muistiinpano';
$string['add_note'] = 'Lisää muistiinpano';
$string['noteadded'] = 'Muistiinpanon lisäys onnistui';
$string['notedeleted'] = 'Muistiinpanon poisto onnistui';
$string['noteedited'] = 'Muistiinpanon muokkaus onnistui';
$string['edit'] = 'Muokkaa';
$string['delete'] = 'Poista';
$string['modifyingnotesdenied'] = 'Ei oikeutta muokata muistiinpanoja';
$string['notetitle'] = 'Muistiinpanon otsikko';
$string['notemisarrival'] = 'Muistiinpanoon saavuttu virheellisesti';
$string['comment'] = 'Muistiinpano';
$string['couldnotdelete'] = 'Poistaminen epäonnistui';
$string['delete_note'] = 'Poista muistiinpano';
$string['deleted'] = 'Poistettu';
$string['edit_note'] = 'Muokkaa muistiinpanoa';

$string['usersownnote'] = 'Oma muistiinpanoni';
$string['teacherscomment'] = 'Opettajan kommentti';
$string['writersnote'] = 'Kirjoituksen tekijän kommentti';

// citations
$string['strcitations'] = 'Lähteet';
$string['selectall'] = 'Valitse kaikki';
$string['deselectall'] = 'Poista valinta kaikista';
$string['deletecitations'] = 'Poista valitut lähteet';

//drafts
$string['deletedrafts'] = 'Poista valitut luonnokset';
$string['text'] = 'Teksti';

// settings
$string['newestrows'] = 'Näytettävien uusimpien määrä';
$string['confignewestrows'] =	'Kuinka monta uusinta kirjoitusta näyteään pääsivun oikean laidan »Uusimmat kirjoitukset» lohkossa.'.
								' Luvun tulee olla positiivinen kokonaisluku.';
$string['mostreadrows'] = 'Näytettävien luetuimpien määrä';
$string['configmostreadrows'] =	'Kuinka monta luetuinta kirjoitusta näyteään pääsivun oikean laidan »Luetuimmat kirjoitukset» lohkossa.'.
								' Luvun tulee olla positiivinen kokonaisluku.';
$string['dotdir'] = 'Graphviz-hakemisto';
$string['configdotdir'] = 	'Polku hakemistoon joka sisältää suorituskelpoiset tiedostot graphviz-työkalut dot, neato, fdp, circo ja twopi.'.
							' Täyden toiminnallisuuden saavutamiseksi näiden työkalujen tulee olla käytettävissä. Mikäli et halua käyttää'.
							' näitä toiminnallisuuksia jätä polku tyhjäksi. Tällöin moduuli toimii karsituin ominaisuuksin.';
$string['shrinkgraphs'] = 'Kutista suuret graafit';
$string['configshrinkgraphs'] = 'Jos kirjoituksella on paljon lähteitä ja monet kirjoitukset viittaavat siihen voi naapurigraafin'.
								' koko helposti'.
								' kasvaa hyvinkin suureksi. Tällä valinnalla isot graafit kutistetaan sivulle mahtuviksi. Tämä voi '.
								'kuitenkin johtaa siihen että graafin teksteistä ei saa selvää. Ilman tätä valintaa suuret graafit '.
								'pakotetaan vieritysalueen sisään eivätkä ne näy kerralla kokonaan.';
$string['dotfont'] = 'Graphvizin kirjasin';
$string['configdotfont'] = 	'Kirjasin jota graphviz käyttää. Mahdolliset vaihtoehdot riippuvat asennetusta Graphvizistä.';



// neibourhoodgraph
$string['unknown_imagetype'] = 'Parametria ei tunnistettu tuetuksi kuvatyypiksi.';
$string['dotdir_unset'] = 	'Graphviz-grafiikkakirjaston polkua ei ole määritelty. Jos et voi tai halua käyttää graphviz-kirjastoa,'.
							' jätä polku asetuksissa tyhjäksi. Tällöin moduuli toimii vajaalla toiminnallisuudella. Tämä johtunee'.
							' siitä että modulin asennus on keskeytynyt liian aikaisin.';
$string['settings_unset'] = 'Netforum-modulin asetuksia ei ole määritelty. Tämä johtunee siitä että modulin asennus on keskeytynyt liian'.
							' aikaisin.';
$string['own_post'] = 'Oma kirjoitus';
$string['unread'] = 'Lukematon';

$string['parents'] = 'Lähteet';
$string['children'] = 'Viitanneet';
$string['parentsandchildren'] = 'Lähteet ja viitanneet';
$string['neighbourgaphlegend'] =	'Verkossa nuolet kuvaavat viittauksia: kirjoitus josta nuoli lähtee on viitannut kirjoitukseen johon'.
									' nuoli osoittaa.';


// Monista paikoista käytettyjä + virheitä
$string['maximumchars'] = 'Merkkien enimmäismäärä';
$string['misconfigured'] = 'Virheellisesti määritetty';
$string['remembernotevisibility'] =	'Muista että omaan kirjoitukseen tehdyt muistiinpanot sekä opettajan tekemät muisiinpanot'.
									' näkyvät kaikille';
$string['name'] = 'Nimi';
$string['noviewcitationspermission'] = 'Oikeudet eivät riitä viitelistan lukemiseen';
$string['noviewdraftspermission'] = 'Oikeudet eivät riitä luonnoksen lukemiseen';
$string['noviewnotespermission'] = 'Oikeudet eivät riitä muistiinpanon lukemiseen';
$string['noupdatenotespermission'] = 'Oikeudet eivät riitä muistiinpanon muokkaamiseen';
$string['nowritepostpermission'] = 'Oikeudet eivät riitä kirjoituksen kirjoittamiseen';

$string['logicerror'] = 'Logiikkavirhe. Moodle on tehnyt jotain todella typerää. Tämän viestin ei pitäisi näkyä koskaan.';
$string['unknowntab'] = 'Välilehtiparametri on virheellinen';

$string['cmid_incorrect'] = 'Kurssimodulin id on virheellinen';
$string['course_misconfigured'] = 'Kurssi on virheellisesti määritetty';
$string['cm_incorrect'] = 'Kurssimoduli on virheellinen';
$string['no_cmid'] = 'Kurssimodulin id tulee antaa';
$string['cid_incorrect'] = 'Kurssin id on virheellinen';
$string['no_toplevel'] = 'Ylimmän tason kurssia ei löytynyt';
$string['no_instances'] = 'Kurssilla ei ole yhtään netforum-ilmentymää';

// Arvioinnit
$string['rate'] = 'Arvosana';
$string['notrated'] = 'Ei arviointia';
$string['ratings'] = 'Arvioinnit';
$string['ratingssaved'] = 'Arvioinnit talletettu';
$string['required'] = 'Pakollinen';
$string['sendinratings'] = 'Arvioi';



// hashcababilities
$string['netforum:canrate'] = 'Arvioi';
$string['netforum:canviewrate'] = 'Näytä arvioinnit';
$string['netforum:clearpost'] = 'Tyhjennä kirjoituksia';
$string['netforum:managecitations'] = 'Hallinnoi viitteitä';
$string['netforum:managedrafts'] = 'Hallinnoi luonnoksia';
$string['netforum:managenotes'] = 'Hallinnoi muistiinpanoja';
$string['netforum:viewstatistic'] = 'Katso tilastoja';
$string['netforum:writepost'] = 'Luo kirjoitus';
$string['netforum:writeteachercomments'] = 'Kirjoita opettajan kommentteja';
$string['netforum:writecomments'] = 'Kirjoita kommentteja';

?>