<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Ruotsinkielinen lokalisaatio
 * 
 * Sisältää ruotsinkielisen lokalisaation netforum-modulille.
 * 
 * @package   mod-netforum
 * @copyright 2009 Helsingin Yliopisto, Tietojenkäsittelytieteen laitos
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/**
 * TERMEISTÄ
 *   kirjoitus: käyttäjän tuottama teksti
 *   lähde: kirjoitus johon toinen kirjoitus viittaa
 *   viite: viittaus joka ei (vielä) liity kirjoitukseen vain viitelistaan
 *     viitelistaan kootaan viitteitä, jotka käytettäessä poistuvat viitelistasta ja muuttuvat tietyn kirjoituksen lähteiksi
 *   arviointi: tätä muu moodle käyttää ’arvostelun’ sijasta
 *   
 * 
 */

// Yleiset
$string['modulenameplural'] = 'Netforum';
$string['modulename'] = 'Netforum';
$string['general'] = 'Allmänt';
$string['netforumname'] = 'Namn';
$string['intro'] = 'Netforum introduktion';
$string['grade'] = 'Betyg';
$string['aggregatetype'] = 'Typ av aggregation';
$string['aggregatenone'] = 'Inget';
$string['aggregateavg'] = 'Medeltal';
$string['ratingtime'] = 'Begränsa bedömning/värdering till inlägg med datum i det här intervallet:';
$string['netforum'] = 'Netforum';
$string['tagcloudtabname'] = 'Subject Cloud';
$string['postlisttabname'] = 'Inlägg';
$string['thirdtabname'] = 'Referenser';
$string['fourthtabname'] = 'Noter';
$string['fifthtabname'] = 'Utkast';
$string['sixthtabname'] = 'Statistik';
$string['helptab'] = 'Hjälp';

// sivuboksit
$string['newest'] = 'Nyaste';
$string['no_messages'] = 'Inga inlägg';
$string['most_popular'] = 'Mest lästa';

// view: list & tagcloud
$string['subject'] = 'Rubrik';
$string['author'] = 'Författare';
$string['release_time'] = 'Datum';
$string['adjacent'] = 'Referenser/citerad av';
$string['postlist'] = 'Inlägg';
$string['tagcloud'] = 'Subject Cloud';
$string['write_new'] = 'Skriv ett nytt inlägg';
$string['show_all_posts'] = 'Visa alla inlägg';
$string['level5hidden'] = 'Visa alla';
$string['level5visible'] = 'Göm de mest isolerade inlägg';



// statistiikka
$string['studentname'] = 'Namn';
$string['numberofposts'] = 'Antal inlägg';
$string['timesread'] = 'Ggr läst';
$string['numberofchildren'] = 'Citerad av (ggr)';
$string['numberofparents'] = 'Antal referenser';
$string['avggrade'] = 'Medeltal (vitsord)';
$string['graded'] = 'Antal betygsatta';


// post
$string['add_to_list'] = 'Spara som referens';
$string['answer'] = 'Spara som referens och skriv ett nytt inlägg';
$string['write_citation'] = 'Skriv en not';
$string['draft'] = 'Spara som utkast';
$string['thisisdraft'] = 'Utkast';
$string['release'] = 'Publicera';
$string['stredit'] = 'Redigera utkastet';
$string['strdelete'] = 'Radera utkastet';
$string['postui'] = 'Inlägg';
$string['postadded'] = 'Inlägget sparades';
$string['postedited'] = 'Utkastet sparades';
$string['postdeleted'] = 'Utkastet raderades';
$string['not_found'] = 'Inga inlägg';

$string['message'] = 'Inlägg';
$string['list'] = 'Referenser';
$string['strdelete_from_list'] = 'Radera från referenser';
$string['deletedfromlist'] = 'Raderad från referenlistan';
$string['addedtolist'] = 'Lagt till referenslistan';
$string['strclear'] = 'Tom';
$string['postcleared'] = 'Inläggets innehåll tömdes';
$string['deleted'] = 'Tömt';
$string['noticecitationsdeleted'] =	'Referenser som används vid publicering raderas.';

// note
$string['editnote'] = 'Redigera';
$string['deletenotes'] = 'Radera valda noter';
$string['strnotes'] = 'Noter';
$string['note'] = 'Not';
$string['link'] = 'Referens';
$string['write'] = 'Spara';
$string['add_note'] = 'Lägg till en not';
$string['noteadded'] = 'Noten sparades';
$string['notedeleted'] = 'Noten raderades';
$string['noteedited'] = 'Noten redigerades';
$string['edit'] = 'Redigera';
$string['delete'] = 'Raderad';
$string['modifyingnotesdenied'] = 'Får ej redigera noten';
$string['notetitle'] = 'Notrubrik';
$string['notemisarrival'] = 'Misarrival to note';
$string['comment'] = 'Not';
$string['couldnotdelete'] = 'Raderingen lyckades ej';
$string['delete_note'] = 'Radera noten';
$string['deleted'] = 'Raderad';
$string['edit_note'] = 'Redigera';

$string['usersownnote'] = 'Egen not';
$string['teacherscomment'] = 'Lärares not';
$string['writersnote'] = 'Författarens not';

// citations
$string['strcitations'] = 'Referenser';
$string['selectall'] = 'Välj alla';
$string['deselectall'] = 'Välj inga';
$string['deletecitations'] = 'Radera valda refrenser';

//drafts
$string['deletedrafts'] = 'Radera valda utkast';
$string['text'] = 'Text';

// settings
$string['newestrows'] = 'Antal nyaste inlägg';
$string['confignewestrows'] =	'How måga nyaste inlägg som  visas';
$string['mostreadrows'] = 'Antal mest lästa inlägg';
$string['configmostreadrows'] =	'Hur många mest lästa inlägg som visas';
$string['dotdir'] = 'Graphviz (path)';
$string['configdotdir'] = 	'Stället (addressen till mappen) där Graphviz-verktygena dot, neato, fdp, circo ja twopi är installerade'.
							' Om detta lämnas tomt fungerar Netforumet utan grafgenerering.';
$string['shrinkgraphs'] = 'Minska stora grafer';
$string['configshrinkgraphs'] = 'Om ett inlägg hänvisar till många andra inlägg kan dess graf bli väldigt stor. Om man väljer att minska stora grafr minskas de så att ett inläggs grafe syns i sin helhet på en sida.';
$string['dotfont'] = 'Graphviz font';
$string['configdotfont'] = 	'Graphviz font. Alternativen beror på vilken version av Graphviz är installerad.';



// neibourhoodgraph
$string['unknown_imagetype'] = 'Okänd bildtyp';
$string['dotdir_unset'] = 	'Graphvizinställningarna var inte konfigurerade';
$string['settings_unset'] = 'Netforuminställningarna var inte konfigurerade';
$string['own_post'] = 'Eget inlägg';
$string['unread'] = 'Oläst';

$string['parents'] = 'Referenser';
$string['children'] = 'Citerad ac';
$string['parentsandchildren'] = 'Referenser/citerad av';
$string['neighbourgaphlegend'] =	'Pilarna i en graf berättar relationen mellan inlägg: ett inlägg som pekar mot ett annat inlägg har använt inlägget som pekas till som referens.';


// Monista paikoista käytettyjä + virheitä
$string['maximumchars'] = 'Max. tecken';
$string['misconfigured'] = 'Felkonfigurerad';
$string['remembernotevisibility'] =	'Notes som tilläggs till ditt eget inlägg samt lärarens noter syns åt alla';
$string['name'] = 'Namn';
$string['noviewcitationspermission'] = 'Inga rättigheter att läsa referenser';
$string['noviewdraftspermission'] = 'Inga rättigheter att läsa utkast';
$string['noviewnotespermission'] = 'Inga rättigheter att läsa noter';
$string['noupdatenotespermission'] = 'Inga rättigheter att redigera noter';
$string['nowritepostpermission'] = 'Inga rättigheter att skriva ett inlägg';

$string['logicerror'] = 'Logikfel';
$string['unknowntab'] = 'Okänt mellanlägg';

$string['cmid_incorrect'] = 'The course module ID is incorrect';
$string['course_misconfigured'] = 'The course is misconfigured';
$string['cm_incorrect'] = 'The course module is incorrect';
$string['no_cmid'] = 'No course module ID given';
$string['cid_incorrect'] = 'The course ID is incorrect';
$string['no_toplevel'] = 'Could not find a top-level course';
$string['no_instances'] = 'The course has no instances of Netforum';

// Arvioinnit
$string['rate'] = 'Betygsätt';
$string['notrated'] = 'Obedömt';
$string['ratings'] = 'Vitsord';
$string['ratingssaved'] = 'Betygen sparades';
$string['required'] = 'Obligatorisk';
$string['sendinratings'] = 'Skicka in betygen';



// hashcababilities
$string['netforum:canrate'] = 'Bedömma';
$string['netforum:canviewrate'] = 'Se betygen';
$string['netforum:clearpost'] = 'Tömma inlägg';
$string['netforum:managecitations'] = 'Hantera referenser';
$string['netforum:managedrafts'] = 'Hantera utkast';
$string['netforum:managenotes'] = 'Hantera noter';
$string['netforum:viewstatistic'] = 'Läsa statistik';
$string['netforum:writepost'] = 'Skriva inlägg';
$string['netforum:writeteachercomments'] = 'Skriva lärarnoter';
$string['netforum:writecomments'] = 'Skriva noter';

?>