<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Muistiinpanon formin luonnista vastaava luokka.
 *
 * @package   mod-netforum
 * @copyright 2009 Helsingin Yliopisto, Tietojenkäsittelytieteen laitos
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once('../../config.php');
require_once('lib.php');
require_once($CFG->libdir.'/formslib.php');


class mod_netforum_note_form extends moodleform {

    function definition() {

        global $CFG;
        $mform    =& $this->_form;

        //otsikko
        $mform->addElement('header', 'general', '');	
        

        //commment, eli se varsinainen muistiinpano
        $mform->addElement('htmleditor', 'comment', get_string('comment', 'netforum'), array('cols'=>40, 'rows'=>15));
        $mform->setType('comment', PARAM_RAW);
        $mform->addRule('comment', get_string('required'), 'required', null, 'client');
        
        //submit-nappi
		$mform->addElement('submit', 'write', get_string('write','netforum'));

        //olikohan nää tarpeelliset vielä??
        $mform->addElement('hidden', 'action');
        $mform->setType('action', PARAM_RAW);
				
    }
    
/*
    function validation($data, $files) {
        $errors = parent::validation($data, $files);
        return $errors;
    }
*/

}

?>