<?php


//VANHAAAA !!!!
//KAIKKI SIIRRETTY LIBIIN


// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Muistiinpanon formin luonnista vastaava luokka.
 *
 * @package   mod-netforum
 * @copyright 2009 Helsingin Yliopisto, Tietojenkäsittelytieteen laitos
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once('../../config.php');

    // ### ## ## # ## ## ### ## ## # ## ## ### ## ## # ## ## ### ## ## # ## ## ###
    // ## lib:n funktiot                                                        ##
    // ### ## ## # ## ## ### ## ## # ## ## ### ## ## # ## ## ### ## ## # ## ## ###

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Funktio lisää note-tauluun uuden rivin.
 *  syötteet:
 *  @param int    $postID  sen viestin id, johon ollaan lisäämässä muistiinpanoa
 *  @param int    $userID  käyttäjän id
 *  @param string $note    viestin sisältö stringinä
 *  @param int    $link    tieto siitä lisätäänkö postaus linkkilistaan 
 *                (1, jos toimii linkkinä; 0, jos ei toimi linkkinä)
 *  @return boolean true, jos onnistui
 */
function netforum_note_add($postID, $userID, $note, $link=0)
{
    
    $syote = new object;
    $syote->postid = $postID;
    $syote->userid = $userID;
    $syote->link = 0;
    $syote->comment = $note;
    
    
    if( !insert_record("netforum_note", $syote) )
    {
        //insert ei onnistunutkaan, heitetään error
        error("muistiinpanon lisääminen ei onnistunut");
    }
    
    return true;
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Funktio tekee annetun id:n perusteella note-tauluun 
 *           parametrina annetun muutoksen kenttään comment.
 *  syötteet:   
 * @param int    $noteID  sen viestin id, johon ollaan lisäämässä muistiinpanoa
 * @param string $note    viestin sisältö stringinä
 * @param int    $link    tieto siitä lisätäänkö postaus linkkilistaan 
 *                        (1, jos toimii linkkinä; 0, jos ei toimi linkkinä)
 * @return boolean  true, jos onnistui
 */
function netforum_note_edit($noteID, $note, $link=0)
{

    //objectina
    $paivitys = new object;
    $paivitys->id = $noteID;
    $paivitys->comment = $note;
    
    //päivitä tieto kantaan, update_record saa toisena parametrinaan data-objectin..
    if( !update_record('netforum_note', $paivitys) )
    {
        //jos päivitys ei onnistunut, ilmoitetaan siitä errorin muodossa
        error("Päivitys ei onnistunut");
    }
    return true;
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Apufunktio joka hakee kaikki tiettyyn viestin liittyvät annetun käyttäjän näkemät kommentit 
 *  syöte:
 *  @param int $netforumID    netforumin id
 *  @param int $postID        viestin id
 *  @param int $userID        käyttäjän id, jolle näkyvissä olevat kommentit haetaan
 *  @param ??  $coursecontext moodlen kurssikonteksti
 *  @return mixed  array, jossa notet, jos notea löytyy; false, jos noteja ei löydy
 */
function netforum_get_visible_notes($netforumID, $postID, $userID, $coursecontext){

    //muuttujat:
    global $CFG;
    global $USER;
    
//    $sql = "SELECT id FROM {$CFG->prefix}netforum_note WHERE postid={$postID} AND link=0";
    $sql = "netforum_note WHERE postid={$postID} AND link=0";
    
    //tarkistetaan löytyykö viestille ollenkaan kommentteja
    if(record_exists($sql)){
        //löytyi kommentteja, joten ruvetaan setvimään niistä mielenkiintoisia..
        
        $kaikkiNotet = netforum_get_notes_for_post($postID);
        $nakyvatNotet = false;

        //Erottele turhat notet joukosta
        foreach($kaikkiNotet as $note){
        
            //tarkista onko noten kirjoittaja ope
            //tarkista onko noten kirjoittanut $USER        
            //tarkista onko noten kirjoittanut alkuperäisen viestin kirjoittanut kaveri
            //eli:
            //tarkistetaan onko kyseinen note tälle käyttäjälle näkyvä
            //TODO: pitäiskö viestissä näkyvillä kommenteilla olla joku järjestys?? jos pitäisi, niin se olisi helpointa toteuttaa tässä. Paitsi että ehkä sen voi tehdä jotenkin kivasti muualla css:llä
            if(netforum_check_note_visibility($note->noteID,
                                              $note->notenTekijanID, 
                                              $note->viestinKirjoittajanID, 
                                              $USER->id,
                                              $coursecontext)){
                //lisätään note kiinnostavien (näkyvien) notejen listaan
                $nakyvatNotet[] = $note;
            }
            //näkymättömille noteille ei tehdä mitään
        
        }
    
        return $nakyvatNotet;
    
    }
    
    else{ //jos noteja ei ollut
        return false;
    }
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: apufunktio, joka hakee kaikki sille parametrina annetun viestin kommentit.
 *  syöte:
 *  @param int $postID      viestin id, jonka kommentit halutaan hakea
 *  @return mixed           array, jos noteja löytyy; false, jos ei
 */
function netforum_get_notes_for_post($postID){
    //muuttujat:
    global $CFG;
    
    $palaute;
    $palaute1;
    $palaute2;
    
    //luodaan kysely &
    $sql = "SELECT id, postid, userid, comment FROM {$CFG->prefix}netforum_note WHERE postid={$postID} AND link=0 ";
    $sql2 = "SELECT userid FROM {$CFG->prefix}netforum_post WHERE id={$postID} ";
    
//    echo $sql."<br />";
//    echo $sql2;
    
    //haetaan kannasta
    if( !($palaute1 = get_records_sql($sql, 0, 1000)))
    {
        //jos ei onnistuttu haussa, niin ilmoitetaan siitä errorilla
        error("get_records_sql ei onnistunut ...");
        return false;
    }
    
    //haetaan kannasta
    if( !($palaute2 = get_record_sql($sql2)))
    {
        //jos ei onnistuttu haussa, niin ilmoitetaan siitä errorilla
        error("get_record_sql ei onnistunut ...");
        return false;
    }

    //siirretään kaikki arrayssa saadut objectit toiseen paremmin nimettyyn array:hyn talteen
    $i=0;
    foreach($palaute1 as $palaute1rivi){
        $palaute[$i]->noteID = $palaute1rivi->id;
        $palaute[$i]->notenTekijanID = $palaute1rivi->userid;
        $palaute[$i]->viestinKirjoittajanID = $palaute2->userid;
        $palaute[$i]->viesti = $palaute1rivi->comment;
        $palaute[$i]->postID = $palaute1rivi->postid;
        $i++;
    }
    
    //palautetaan 
    return $palaute;
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Funktio tulostaa kaikki käyttäjälle näkyvät parametrina annetun viestin kommentit
 *  syöte:
 *  @param int $netforumID  netforumin id
 *  @param int $postID      viestin id, jonka kommentit tulostetaan
 *  @param int $userID      käyttäjän id, jolle näkyvissä olevat kommentit tulostetaan
 *  @param int $course      TODO?? mikäs tän kuvaus vois olla??
 *  palauttaa: ei palauta mitään
 */
function netforum_note_view($netforumID, $postID, $userID, $course)
{
    $coursecontext = get_context_instance(CONTEXT_COURSE, $course->id);
    //tarkista löytyykö postille viestejä, jos löytyy, niin hae ja tulosta ne
    if($kaikkiNotet = netforum_get_visible_notes($netforumID, $postID, $userID, $coursecontext)){

        foreach($kaikkiNotet as $note){
            netforum_note_show($netforumID, $note->postID, $note->notenTekijanID);
        }
    
    }

}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Apufunktio, joka tulostaa annetun viestin kommentin annetulta käyttäjältä
 *  syöte:
 *  @param int $netforumID  netforumin id
 *  @param int $postID      viestin id, jonka kommenttia ollaan tulostamassa
 *  @param int $noteMakerID käyttäjän id, jonka kommentti viestistä tulostetaan
 *  palauttaa: ei palauta mitään
 */
function netforum_note_show($netforumID, $postID, $noteMakerID)
{
    //globaalit muuttujat
    global $CFG;
    global $USER;
    
    //muuttujat:
    $viesti;
    $muistiinpano;
    $noteOlemassa = true; //oletetaan että annetulle postille on jo note olemassa
    
    $oma = false;
    $opettajan = false;
    $lisays = false;    
    
    //käännökset
//    $str = get_string('', 'netforum');


    //tarvitaan $course myöhempää käyttöä varten
    if ($netforumID) {
        /// Haetaan coursemodule id:n perusteella
        if (! $cm = get_coursemodule_from_id('netforum', $netforumID)) {
            error('Course Module ID was incorrect');
        }
        /// coursemodulista haetaan course-olio
        if (! $course = get_record('course', 'id', $cm->course)) {
            error('Course is misconfigured');
        }
    }
    
    //tarkastetaan onko note oleassa
    //if( !$noteID = netforum_get_noteid($postID, $USER->id)){
    if( !$noteID = netforum_get_noteid($postID, $noteMakerID)){
        
        $noteOlemassa = false;
//        $viesti = "";
//        $linkki = "";
    
    }
    
    
    
    //jos note oli olemassa eikä ollut mitään parametrejä, niin haetaan noten tiedot vain kannasta
    else{
    
//        $muistiinpano = netforum_note_get($noteID->id, $USER->id);
        $muistiinpano = netforum_note_get($noteID, $USER->id);
        $viesti = $muistiinpano->comment;
    
    }
    
    //selvitä kurssikonteksti -- tarvitaan has_capability-funktiota varten
    $coursecontext = get_context_instance(CONTEXT_SYSTEM, $course->id );

    //tarkista onko opettaja.. 
    //jotain alla olevan suuntaista
    //if (has_capability('moodle/legacy:teacher', $sitecontext, NULL, false)) {
        //näytä rate_ominaisuudet
        //netforum_rate_view($rateID);
    //}
    

    if($noteOlemassa){
        
        //selvitetään kuka on tehnyt viestin
        $sql = "SELECT userid FROM {$CFG->prefix}netforum_post WHERE id={$postID} ";       
        
        if( !($palaute = get_record_sql($sql)))
            {
                //jos ei onnistuttu haussa, niin ilmoitetaan siitä errorilla
                error("get_record_sql ei onnistunut ...");
                return false;
        } 
        
        //$notensuhde kuvaa noten kirjoittajan roolia: (nykyinen käyttäjä, viestin kirjoittaja, opettaja)
        $notensuhde = netforum_check_note_maker($noteID, $noteMakerID, $USER->id, $palaute->userid, $coursecontext);
        
        if($notensuhde == 1 | $notensuhde == 3 | $notensuhde == 5 | $notensuhde == 7){
            $oma=true;
        }
        if($notensuhde == 2 | $notensuhde == 3 | $notensuhde == 6 | $notensuhde == 7){
            $lisays=true;            
        }
        if($notensuhde == 4 | $notensuhde == 5 | $notensuhde == 6 | $notensuhde == 7){
            $opettajan=true;
        }

        
        //sijoitetaan taulukkoon
        echo '<table cellspacing="0" class="forumpost">';
        
        //haetaan tietoa noten tekijästä, tulostettavaksi noten yhteyteen
        $noteMakerInfo = netforum_get_user($noteMakerID);

        $noteUser = new object();
        $noteUser->id        = $noteMakerInfo->id;
        $noteUser->firstname = $noteMakerInfo->firstname;
        $noteUser->lastname  = $noteMakerInfo->lastname;
        $noteUser->imagealt  = $noteMakerInfo->imagealt;
        $noteUser->picture   = $noteMakerInfo->picture;

        //tulostetaan noten kirjoittajan kuva
        echo '<tr class="header"><td class="picture left">';
        print_user_picture($noteUser, $course->id);
        echo '</td>';
        
        
        //viestiin verrattuna otsikon tilalla muistiinpanossa lukee 
        //muistiinpano/opettajankommentti/lisäys(jos alk.per.viestin kirjoittajan kommentti)
        echo '<td class="topic starter">';
        
        //apumuuttujat tekstiä varten
        $strtekija = "";
        $strlisa = "";
            
        //TODO: NÄILLE JOKAISELLE VAIHTOEHDOLLE JOTAIN EROA STYLEIHIN.. tai ei oo pakko oikeastaan enää
        if($oma){//jos käyttäjän oma muistiinpano
            $strtekija = get_string('usersownnote','netforum');
            $strlisa = ", ";
        }
        if($lisays){//jos viestinkirjoittajan muistiinpano
            $strtekija = $strtekija.$strlisa.get_string('writersnote','netforum');
            $strlisa = ", ";
        }
        if($opettajan){//jos opettajan muistiinpano
            $strtekija = $strtekija.$strlisa.get_string('teacherscomment','netforum');
            $strlisa = ", ";
        }        
        
        
        echo '<div class="subject">'.$strtekija.'</div>';
        
        //käyttäjä
        echo '<div class="author">';
        //tähän muistiinpanon tekijän nimi
        $fullname = fullname($noteUser);
        echo $fullname;
        echo '</div></td></tr>';
        
        //aloitetaan toka rivi
        echo '<tr>';
        
        //??
        echo '<td></td>';
        
        //tulostetaan muistiinpanon varsinainen tekstiosuus
        echo '<td>'.$viesti.'</td>';
        
        
        //formi jossa muistiinpano voidaan poistaa/muokata
        echo '<td>';
        echo '<form action="'.$CFG->wwwroot.'/mod/netforum/note.php?netforumid='.$netforumID.'&noteid='.$noteID.'" method="post">';
        echo '<input type="submit" name="edit" value="'.get_string("edit","netforum").'"/>';
        echo '<input type="submit" name="delete" value="'.get_string("delete","netforum").'"/>';
        echo '</form>';
        echo '</td>';
    
        echo '</tr>';
    
        //lopetetaan taulukko
        echo '</table>';
        
    }
    
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Apufunktio, joka hakee kannasta kentät: id, firstname, lastname, email, picture ja imagealt
 *           user-taulusta.
 *  syöte:
 *  @param int $userID
 *  palauttaa:
 *  @return array jossa id, firstname, lastname, email, picture ja imagealt
 */
function netforum_get_user($userID){
    global $CFG;
    $sql = "SELECT id, firstname, lastname, email, picture, imagealt
            FROM {$CFG->prefix}user
            WHERE id = {$userID}";
            
    return get_record_sql($sql);
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Apufunktio, joka hakee note-taulusta muistiinpanoon liittyvän viestin id:n.
 *  syöte:
 *  @param int $noteID
 *  palauttaa:
 *  @return int viestin id
 */
function netforum_get_postid_from_note($noteID){
    global $CFG;
    
    $sql = "SELECT postid FROM {$CFG->prefix}netforum_note WHERE id=".$noteID;
    
    if( !($postID = get_record_sql($sql)))
    {
//        error("netforum_get_noteid ei onnistunut");
        return false;
    }
    //error("ei onnistunut");
    
    return $postID->postid; 
}


//netforum_get_noteid on jo siirretty lib.php:n
/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio:
 *  syöte:
 *  palauttaa:
 */
/*function netforum_get_noteid($postID, $userID, $link=0){
    global $CFG;
    
    $sql = "SELECT id FROM {$CFG->prefix}netforum_note WHERE postid=".$postID." and userid=".$userID." AND link=".$link." ";
    
    if( !($noteID = get_record_sql($sql)))
    {
//        error("netforum_get_noteid ei onnistunut");
        return false;
    }
    //error("ei onnistunut");
    
    return $noteID->id;
}
*/



/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Apufunktio, joka hakee note-taulusta comment- ja link-kentät. 
 *  syöte:
 *  @param int $noteID  haettavan viestin id
 *  @param int $userID  hakijan id (oikeastaan turha) TODO:poista tämä parametri.
 *  @param int $link    tieto siitä onko kyseessä linkki
 *  palauttaa: arrayn, jossa noten sisältö ja tieto siitä onko note linkki
 *          $palaute->muistiinpano  - muistiinpanon tekstisisältö
 *          $palaute->linkki        - tieto siitä onko muistiinpano samalla linkki linkkilistaa varten
 *  @return array
 */
function netforum_note_get($noteID, $userID, $link=0)
{
    //muuttujat:
    global $CFG;
    
    //luodaan kysely &
//    $sql = "SELECT comment, link FROM {$CFG->prefix}netforum_note WHERE id=".$noteID." AND userid=".$userID." AND link=".$link." ";
    $sql = "SELECT comment, link FROM {$CFG->prefix}netforum_note WHERE id=".$noteID." AND link=".$link." ";
    
    //haetaan kannasta
    if( !($palaute = get_record_sql($sql)))
    {
        //jos ei onnistuttu haussa, niin ilmoitetaan siitä errorilla
        error("get_record_sql ei onnistunut ...");
        return false;
    }
    
    //palautetaan 
    return $palaute;
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Funktio poistaa parametrina annettua id:tä vastaavan rivin note-taulusta.
 *  syöte:
 *  @param int $noteID  poistettavan muistiinpanon id
 *  palauttaa:  
 *  @return boolean   true, jos onnistui.
 */
function netforum_note_delete($noteID)
{
    //poista muistiinpanon sisältö
    //vai pitäiskö tän vain tyhjentää sisältö ja jättää merkintä sisältö poistettu
    //toisaalta muistiinpano näkyy vain muistiinpanon kirjoittajalle, joten kai sen voisi poistaa
    if( !delete_records("netforum_note", "id", $noteID) )
    {
        //jos poisto epäonnistui, ilmoitetaan siitä errorilla
        error("Muistiinpanon poisto epäonnistui id:llä ".$noteID.".");
    }
    return true;
    
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio: Apufunktio, joka palauttaa tiedon siitä näkyykö annettu viesti annetulle käyttäjälle.
 *  syöte:      
 *  @param int $noteID                  muistiinpanon id
 *  @param int $viestinKirjoittajanID   alkuperäisen viestin kirjoittajan id
 *  @param int $kayttajanUserID         kayttajan id, jonka näkevyyttä tarkistetaan
 *  @param ??  $coursecontext           moodlen kurssikonteksti
 *  palauttaa:
 *  @return boolean   tieto siitä näkyykö kommentti käyttäjälle.
 *              false, jos kommentti on sellainen, jota ei tarvitse näyttää
 *              true, jos kommentti on oma
 *              true, jos kommentti on viestin kirjoittajan
 *              true, jos opettajan kommentti
 */
function netforum_check_note_visibility($noteID, 
                                        $notenTekijanID, 
                                        $viestinKirjoittajanID, 
                                        $kayttajanUserID, 
                                        $coursecontext){
    
    //tarkista onko oma kommentti  
    if($notenTekijanID == $kayttajanUserID){
        return true;
    }
    
    //tarkista onko notentekija kommentin kirjoittaja
    else if($viestinKirjoittajanID == $notenTekijanID){
        return true;
    }
    
    //tarkista onko notentekijä ope
    //TODO: selvitä onko kommentin kirjoittaja opettaja - miten tehdään??
    else if (has_capability('mod/netforum:writeteachercomments', $coursecontext, $notenTekijanID, false)){
        return true;
    }
    
    else{//jos kommentin kirjoittaja on joku muu, eli se ei siis näy annetulle käyttäjälle
        return false;
    }
}

/**
 *  @author: Aleksi Toivanen - Ohtuprojektiryhmä modeX
 *  funktio:    Apufunktio tarkistaa onko kommentin kirjoittaja käyttäjä,viestin kirjoittaja vai opettaja.
 *              Funktio olettaa kaikkien syötteenä tulevien olevan näkyviä kommentteja, 
 *              eli toisinsanoen niiden tekijän tulisi kuulua johonkin ylläolevista ryhmistä.
 *  syöte:
 *  @param int $noteID - muistiinpanon id
 *  @param int $notenTekijanID - kommentin kirjoittajan id
 *  @param int $kayttajanUserID - käyttäjän id 
 *                  (käyttäjän id:tä ei oikeastaan tarvitsisi siirtää parametrina, 
 *                  koska se löytyy myös $USER-globaalista muuttujasta)
 *  
 *  @return int luku välillä 1-3, joka määrittelee oliko muistiinpano kenen kirjoittama.
 *  palauttaa:  1, jos kommentti on oma.
 *              2, jos kommentti on viestin kirjoittajan.
 *              3, jos opettajan kommentti, pitiks tää opettajan kommentti näkyä nyt sit kaikille??
 */
function netforum_check_note_maker( $noteID, 
                                    $notenTekijanID, 
                                    $kayttajanUserID, 
                                    $viestinKirjoittajanID, 
                                    $coursecontext){

    $palaute = 0;
    
    //tarkista onko oma kommentti  
    if($notenTekijanID == $kayttajanUserID){
        $palaute = 1;
    }
                                    
    
    //muutoin tekijän täytyy olla myös viestin kirjoittaja
    //tarkista onko kommentin tekija myös viestin kirjoittaja
    if($viestinKirjoittajanID == $notenTekijanID){
        $palaute = $palaute + 2;
    }    

    //tarkista onko notentekijä ope
    if(has_capability('mod/netforum:writeteachercomments', $coursecontext, $notenTekijanID, false)){
        $palaute = $palaute + 4;
    }

    
    return $palaute;
    
}

?>