<?php

require_once ('../../config.php');
require_once ('lib.php');
require_once ('post_form.php');
//require_once ('note_lib.php');

/// Pakollinen parametri on couse_module id
$id = required_param('id', PARAM_INT);          //netforum id
$postid = optional_param('post', 0, PARAM_INT); 
$post = false;

global $USER;

if ($id) {
    /// Haetaan coursemodule id:n perusteella
    if (! $cm = get_coursemodule_from_id('netforum', $id)) {
        error('Course Module ID was incorrect');
    }
    /// coursemodulista haetaan course-olio
    if (! $course = get_record('course', 'id', $cm->course)) {
        error('Course is misconfigured');
    }
    /// coursemodulista haetaan netforum-olio
    if (! $netforum = get_record('netforum', 'id', $cm->instance)) {
        error('Course module is incorrect');
    }
} else {
    error('You must specify a course_module ID');
}
require_login($course, true, $cm);
$context = get_context_instance(CONTEXT_MODULE, $cm->id);


/// Lokalisaatiosta haettavat tekstit
$stradd_to_list  = get_string('add_to_list', 'netforum');       // Lisää lähdelistaan
$stranswer  = get_string('answer', 'netforum');                 // Vastaa
$strwrite_citation = get_string('write_citation', 'netforum');  // Kirjoita muistiinpano
$stredit = get_string('stredit', 'netforum');  // muokkaa
$strdelete = get_string('strdelete', 'netforum');  // poista
$strdelete_from_list =  get_string('strdelete_from_list', 'netforum');
$strclear =  get_string('strclear', 'netforum');
$strrelease = get_string('release', 'netforum');

/// Haetaan lokalisaatiot
$strnetforums = get_string('modulenameplural', 'netforum');
$strnetforum  = get_string('modulename', 'netforum');

/// Generoidaan polkupalkki
$navlinks = array();
$navlinks[] = array('name' => $strnetforums, 'link' => "index.php?id=$course->id", 'type' => 'activity');
$navlinks[] = array('name' => format_string($netforum->name), 'link' => "view.php?id={$id}", 'type' => 'activityinstance');
$navlinks[] = array('name' => get_string('postui', 'netforum'), 'link' => '', 'type' => 'activityinstance');
$navigation = build_navigation($navlinks);

// Nappien toimintoja
//lähdelistaan
if(isset($_POST['add_to_list'])) {
    netforum_add_user_citation($postid, $USER->id);
    
    add_to_log($course->id, "netforum", "add citation", "post.php?id={$id}&amp;post={$postid}", "$netforum->id");
    $message = '<p>'.get_string("addedtolist", "netforum") . '</p>';
    redirect("post.php?id={$id}&amp;post={$postid}", $message, 2);
    exit;
}
//lähdelistasta
else if(isset($_POST['delete_from_list'])) {
    $noteid = netforum_get_noteid($postid, $USER->id, 1);
    netforum_note_delete($noteid);
    
    add_to_log($course->id, "netforum", "delete citation", "post.php?id={$id}&amp;post={$postid}", "$netforum->id");
    $message = '<p>'.get_string("deletedfromlist", "netforum") . '</p>';
    redirect("post.php?id={$id}&amp;post={$postid}", $message, 2);
    exit;
}
//lähdelistasta
else if(isset($_POST['clear'])) {
    if(has_capability('mod/netforum:clearpost', $context)) {
        $post = netforum_get_post($postid);
        netforum_post_clear($post);
        
        add_to_log($course->id, "netforum", "update post", 
"post.php?id={$id}&amp;post={$postid}", "$netforum->id");
        $message = '<p>'.get_string("postcleared", "netforum") . '</p>';
        redirect("post.php?id={$id}&amp;post={$postid}", $message, 2);
        exit;
    }
}
//uusi muistiinpano
else if(isset($_POST['add_new_note'])) {
    redirect("note.php?netforumid={$id}&amp;postid={$postid}", "", 0);
    exit;
}

/// Tulostetaan sivun otsakkeet
print_header_simple(format_string($netforum->name), '', $navigation, '', '', true,
update_module_button($cm->id, $course->id, $strnetforum), navmenu($course, $cm));
echo '<table id="mod-netforum-main"><tr><td>';

/// Haetaan postin tiedot
if ($postid && !(isset($_POST['release']) || isset($_POST['draft']))) {

    $post = netforum_get_post($postid);
    
    if($post !== false ) {
        add_to_log($course->id, "netforum", "view post");
        $ownpost = ($USER->id == $post->userid);
        $released = $post->released;

        /// Näytetään viesti
        netforum_post_view($netforum, $post, $course, $cm);

        if(has_capability('mod/netforum:writepost', $context)) {
            /// Viestiin liittyvien toimintojen painikkeet
            echo '<form action="post.php?id='.$id.'&amp;post='.$postid.'" method="post" class="mod-netforum-center">';

            if($released) {
                if( !netforum_get_number_of_notes($netforum, $USER->id, $postid, true) )
                    echo '<input type="submit" name="add_to_list" value="'.$stradd_to_list.'" /> ';
                else
                    echo '<input type="submit" name="delete_from_list" value="'.$strdelete_from_list.'" /> ';

                echo '<input type="submit" name="write" value="'.$stranswer.'" /> ';
            }

            if($ownpost && !$released && !(isset($_POST['edit'])) ) {
                echo '<input type="submit" name="edit" value="'.$stredit.'" /> ';
                echo '<input type="submit" name="delete" value="'.$strdelete.'" /> ';
            }

            // opettajan viestin tyhjennyspainike
            if(has_capability('mod/netforum:clearpost', $context) && $released) {
                echo '<input type="submit" name="clear" value="'.$strclear.'" /> ';
            }
        
            $muistiinpano = netforum_get_noteid($postid, $USER->id);
        
            if(! $muistiinpano && has_capability('mod/netforum:writecomments', $context) && $released){
                echo '<input type="submit" name="add_new_note" value="'.get_string("add_note","netforum").'"/>';
            }
        
            echo '</form>';
        }

        //näytetään muistiinpano
        netforum_note_view($id, $postid, $USER->id, $course);


    }
}

//valmisvalinnat
//lisää lähteisiin jos nykyinen viesti
$checked = array();
if(isset($_POST['write']) && $postid) {
    $tmp_check = new object();
    $tmp_check->parent = $postid;
    $checked[] = $tmp_check;
    
    if(!netforum_get_number_of_notes($netforum, $USER->id, $postid, true))
        netforum_add_user_citation($postid, $USER->id);
}
else if(isset($_POST['edit'])) {
$tmp_links = netforum_get_links($postid);
if($tmp_links)
    $checked = array_values($tmp_links);
}

//hae lähteet
$tmp_notes = netforum_get_notes(0, $netforum->id);
if($tmp_notes)
    $list = array_values($tmp_notes);
else
    $list = array();

$mform_post = new mod_netforum_post_form('post.php?id='.$id.'&post='.$postid, array('checked'=>$checked, 'list'=>$list, 'netforumid'=>$id));

if ($fromform = $mform_post->get_data()) {
    
    if(isset($fromform->listid))
      $notelist = $fromform->listid;
    else
      $notelist = array();
    
    $post = new object();
    $post->id = $fromform->post;
    $post->netforumid    = $netforum->id;
    $post->userid        = $USER->id;
    $post->subject       = $fromform->subject;
    $post->message       = $fromform->message;
    
    $post->released = 0;
    if(isset($_POST['release']))
        $post->released = 1;
        
    if($fromform->option == "write") {
        if(!$tmp_postid = netforum_post_add($post, $notelist)) 
            print_error("couldnotwrite", "netforum");
            
        
        add_to_log($course->id, "netforum", "add post", "post.php?id={$id}&post={$tmp_postid}", "$netforum->id");
        $message = '<p>'.get_string("postadded", "netforum") . '</p>';
        redirect("post.php?id={$id}&amp;post={$tmp_postid}", $message, 2);
        exit;
    }
    else if($fromform->option == "edit") {
        if(!netforum_post_update($post, $notelist)) 
            print_error("couldnotwrite", "netforum");
            
         add_to_log($course->id, "netforum", "update post", "post.php?id={$id}&post={$post->id}", "$netforum->id");
         $message = '<p>'.get_string("postedited", "netforum") . '</p>';       
         redirect("post.php?id={$id}&amp;post={$post->id}", $message, 2);
         exit;
    }
}

/// viestin kirjoittamiseen vaadittava post-object
if(isset($_POST['write']) || (isset($_POST['option']) && $_POST['option']=='write') ) {

    //luo uusi post object
    $tmp_post = new object();
    $tmp_post->id            = 0;
    $tmp_post->netforumid    = $netforum->id;
    $tmp_post->userid        = $USER->id;
    $tmp_post->subject       = '';
    $tmp_post->message       = '';
    $tmp_post->released      = 0;    
    $tmp_post->mode = 'write';

}

/// viestin muokkaamiseen vaadittava vanhan viestin post-object
else if( isset($_POST['edit']) || (isset($_POST['option']) && $_POST['option']=='edit') && $ownpost && !$released ) {
    
    $tmp_post = new object();
    $tmp_post = $post;
    $tmp_post->mode = 'edit'; 
    
}

/// viestin kirjoittamiseen tai muokkaamiseen tulostetaan kaavake
if( isset($_POST['option']) || isset($_POST['write']) || ( isset($_POST['edit']) && $ownpost && !$released ) ) {

    if(!has_capability('mod/netforum:writepost', $context)) {
        notice(get_string('nowritepostpermission', 'netforum'));
    }
    
    $mform_post->set_data(array(    'subject'=>$tmp_post->subject,
                                    'message'=>$tmp_post->message,
                                    'userid'=>$tmp_post->userid,
                                    'netforumid'=>$tmp_post->netforumid,
                                    'released'=>$tmp_post->released,
                                    'post'=>$tmp_post->id,
                                    'option'=>$tmp_post->mode ));
    $mform_post->display();
}

/// Viestin poistamistoiminto
if( isset($_POST['delete']) && $ownpost && !$released ) {
    netforum_post_draft_delete($postid);
    
    add_to_log($course->id, "netforum", "delete post", "view.php?id={$id}", "$netforum->id");
    $message = '<p>'.get_string("postdeleted", "netforum") . '</p>';       
    redirect("view.php?id={$id}", $message, 2);
    exit;
}

/// viestin naapurit
if(!isset($CFG->netforum_dotdir)){
    echo '<p class="errorbox">'.get_string('dotdir_unset', 'netforum').'</p>';
}
if($post !== false ) {
    netforum_print_neighbour_block($postid);
}
else if($postid)
    echo  '<p class="mod-netforum-center">'. get_string('not_found', 'netforum') . '</p>';
  
/// Ulkoasuun kuuluvien newest ja most_popular listauksien tulostaminen
echo '</td><td id="mod-netforum-rightside">';
netforum_print_newest($netforum->id);
netforum_print_most_popular($netforum->id);
echo '</td></tr></table>';

/// Sivun varsinainen sisältö päättyy  
print_footer($course);
?>
