<?php 

require_once($CFG->libdir.'/formslib.php');

class mod_netforum_post_form extends moodleform {

    function definition() {

        global $CFG;
        $mform    =& $this->_form;

        $checked   = $this->_customdata['checked'];
        $list      = $this->_customdata['list'];
	$netforumid   = $this->_customdata['netforumid'];

        /// Lokalisaatiosta haettavat tekstit
        $strdraft = get_string('draft', 'netforum');
        $strrelease = get_string('release', 'netforum');
        
        /// Form-legend ilman tekstisisältöä
        $mform->addElement('header', 'general', '');
            
        /// Otsikko-kenttä                         
        $mform->addElement('text', 'subject', get_string('subject', 'netforum'), 'size="48"');
        $mform->setType('subject', PARAM_TEXT);
        $mform->addRule('subject', get_string('required'), 'required', null, 'client');
        $mform->addRule('subject', get_string('maximumchars', '', 255), 'maxlength', 255, 'client');

        /// Teksti-kenttä       
        $mform->addElement('htmleditor', 'message', get_string('message', 'netforum'), array('cols'=>50, 'rows'=>30));
        $mform->setType('message', PARAM_RAW);
        $mform->addRule('message', get_string('required'), 'required', null, 'client');
        //$mform->setHelpButton('message', array('reading', 'writing', 'questions', 'richtext2'), false, 'editorhelpbutton');

        /// Lähdelista ja ennakko valintojen luonti
        if(sizeof($list)) {
            $mform->addElement('header', '', get_string('list', 'netforum'));
            for($i = 0; $i < sizeof($list); $i++) {
                $found = 0;
                // ei saa checkediksi..
                for($j = 0; $j < sizeof($checked); $j++) {
                    if($checked[$j]->parent == $list[$i]->postid) {
                        $mform->addElement('checkbox', 'listid['.$list[$i]->postid.']', '<a href="post.php?id='.$netforumid.'&amp;post='.$list[$i]->postid.'">'.$list[$i]->subject.'</a>' );
                        $mform->setDefault('listid['.$list[$i]->postid.']', 1);
                        $found = 1;
                    }
                }
                if(!$found)
                    $mform->addElement('checkbox', 'listid['.$list[$i]->postid.']', '<a href="post.php?id='.$netforumid.'&amp;post='.$list[$i]->postid.'">'.$list[$i]->subject.'</a>' );
            }
        }
        $mform->addElement('html', '<p class="mod-netforum-center">'.get_string('noticecitationsdeleted','netforum').'</p>');
        //$mform->setHelpButton('list', array('list', get_string('list', 'netforum'), 'netforum'));

        /// Kaavakkeen painikkeet
        $buttonarray = array();
        $buttonarray[] = &$mform->createElement('submit', 'draft', $strdraft);
        $buttonarray[] = &$mform->createElement('submit', 'release', $strrelease);
        $mform->addGroup($buttonarray, 'buttonarr', '', array(' '), false);
        $mform->closeHeaderBefore('buttonarr');
        
        /// Piilotetut tiedot (postid, option(write/edit))
        $mform->addElement('hidden', 'post');
        $mform->setType('post', PARAM_INT);
        $mform->addElement('hidden', 'option');
        $mform->setType('option', PARAM_TEXT);
    }

}
?>
