<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.


/**
 * Generoi päänäkymään välehtipalkin
 * 
 * Tämä sivu generoi netforumin tärkeimmillä sivuilla näkyvän välilehtipalkin
 * ja huolehtii välilehtien sisällön latauksesta ja tämänhetkisen välilehtien
 * korostuksesta ja lukuoperaatioiden lokiinviennistä. 
 *
 * @package   mod-netforum
 * @copyright 2009 Helsingin Yliopisto, Tietojenkäsittelytieteen laitos
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


$tabs = array();
$row  = array();
$inactive = array();
$activated = array();
$context = get_context_instance(CONTEXT_MODULE, $cm->id);

$baseurl = $CFG->wwwroot.'/mod/netforum/view.php?id='.$id.'&amp;tab=';

if (has_capability('mod/netforum:writepost',$context))
    echo "<div><form class=\"mod-netforum-center\" action=\"post.php?id={$id}\" method=\"post\"><div><input type=\"submit\" name=\"write\" value=\"". get_string('write_new', 'netforum') ."\" /></div></form></div>";


$row[] = new tabobject(NETFORUM_HELPTAB, $baseurl.NETFORUM_HELPTAB, get_string('intro', 'netforum'));
$row[] = new tabobject(NETFORUM_TAB1, $baseurl.NETFORUM_TAB1, get_string('tagcloudtabname', 'netforum'));
$row[] = new tabobject(NETFORUM_TAB2, $baseurl.NETFORUM_TAB2, get_string('postlisttabname', 'netforum'));
if (has_capability('mod/netforum:managecitations',$context))
    $row[] = new tabobject(NETFORUM_TAB3, $baseurl.NETFORUM_TAB3, get_string('thirdtabname', 'netforum'));
if (has_capability('mod/netforum:managenotes',$context))
    $row[] = new tabobject(NETFORUM_TAB4, $baseurl.NETFORUM_TAB4, get_string('fourthtabname', 'netforum'));
if (has_capability('mod/netforum:managedrafts',$context))
    $row[] = new tabobject(NETFORUM_TAB5, $baseurl.NETFORUM_TAB5, get_string('fifthtabname', 'netforum'));
if (has_capability('mod/netforum:viewstatistic',$context))
    $row[] = new tabobject(NETFORUM_TAB6, $baseurl.NETFORUM_TAB6, get_string('sixthtabname', 'netforum'));



$tabs[] = $row;
$currenttab  = optional_param('tab',NETFORUM_TAB1,PARAM_INT);
$inactive[] = $currenttab;
$activated[] = $currenttab;


print_tabs($tabs, $currenttab, $inactive, $activated);

switch ($currenttab) {
case NETFORUM_HELPTAB:
    $currenttab  = optional_param('tab',NETFORUM_HELPTAB,PARAM_INT);
    break;
case NETFORUM_TAB1:
    $currenttab  = optional_param('tab',NETFORUM_TAB1,PARAM_INT);
    break;
case NETFORUM_TAB2:
    $currenttab  = optional_param('tab',NETFORUM_TAB2,PARAM_INT);
    break;
case NETFORUM_TAB3:
    $currenttab  = optional_param('tab',NETFORUM_TAB3,PARAM_INT);
    break;
case NETFORUM_TAB4:
    $currenttab  = optional_param('tab',NETFORUM_TAB4,PARAM_INT);
    break;
case NETFORUM_TAB5:
    $currenttab  = optional_param('tab',NETFORUM_TAB5,PARAM_INT);
    break;
case NETFORUM_TAB6:
    $currenttab  = optional_param('tab',NETFORUM_TAB6,PARAM_INT);
    break;
default:
    error(get_string('unknowntab', 'netforum'));
    break;
}


switch ($currenttab) {
case NETFORUM_HELPTAB:
    add_to_log($course->id, 'netforum', 'view help', 'view.php?'.$_SERVER['QUERY_STRING'], "$netforum->id");
    if (!empty($netforum->intro)) {
        print_box(format_text($netforum->intro), 'generalbox', 'intro');
    }
    break;
case NETFORUM_TAB1:
    add_to_log($course->id, 'netforum', 'view tagcloud', 'view.php?'.$_SERVER['QUERY_STRING'], "$netforum->id");
    include_once('./tagcloud.php');
    break;
case NETFORUM_TAB2:
    add_to_log($course->id, 'netforum', 'view list', 'view.php?'.$_SERVER['QUERY_STRING'], "$netforum->id");
    include_once('./list.php');
    break;
case NETFORUM_TAB3:
    add_to_log($course->id, 'netforum', 'view citations', 'view.php?'.$_SERVER['QUERY_STRING'], "$netforum->id");
    include_once('./managecitations.php');
    break;
case NETFORUM_TAB4:
    add_to_log($course->id, 'netforum', 'view notes', 'view.php?'.$_SERVER['QUERY_STRING'], "$netforum->id");
    include_once('./managenotes.php');
    break;
case NETFORUM_TAB5:
    add_to_log($course->id, 'netforum', 'view drafts', 'view.php?'.$_SERVER['QUERY_STRING'], "$netforum->id");
    include_once('./managedrafts.php');
    break;
case NETFORUM_TAB6:
    add_to_log($course->id, 'netforum', 'view statistics', 'view.php?'.$_SERVER['QUERY_STRING'], "$netforum->id");
    include_once('./statistic.php');
    break;
default:
    error(get_string('unknowntab', 'netforum'));
	break;
}
?>